Bug 719108

Summary: Review Request: drupal6-mobile_tools - The Mobile Tools module provides some tools to assist in making a site mobile
Product: [Fedora] Fedora Reporter: Peter Borsa <peter.borsa>
Component: Package ReviewAssignee: Paul W. Frields <stickster>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: notting, package-review, stickster
Target Milestone: ---Flags: stickster: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: drupal6-mobile_tools-2.3-2.fc15 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-07-13 17:34:38 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 662103    

Description Peter Borsa 2011-07-05 15:47:14 EDT
Spec URL: http://asrob.fedorapeople.org/SOURCES/drupal6-mobile_tools.spec
SRPM URL: http://asrob.fedorapeople.org/SOURCES/drupal6-mobile_tools-2.3-1.fc15.src.rpm
Description: The Mobile Tools module provides Drupal developers with some tools to assist in making a site mobile.

rpmlint output:

[asrob@claire SPECS]$ rpmlint drupal6-mobile_tools.spec ../SRPMS/drupal6-mobile_tools-2.3-1.fc15.src.rpm ../RPMS/noarch/drupal6-mobile_tools-2.3-1.fc15.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

koji output:

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=3181518
Watching tasks (this may be safely interrupted)...
3181518 build (dist-f15, drupal6-mobile_tools-2.3-1.fc15.src.rpm): open (x86-11.phx2.fedoraproject.org)
  3181519 buildArch (drupal6-mobile_tools-2.3-1.fc15.src.rpm, noarch): open (x86-11.phx2.fedoraproject.org)
  3181519 buildArch (drupal6-mobile_tools-2.3-1.fc15.src.rpm, noarch): open (x86-11.phx2.fedoraproject.org) -> closed
  0 free  1 open  1 done  0 failed
3181518 build (dist-f15, drupal6-mobile_tools-2.3-1.fc15.src.rpm): open (x86-11.phx2.fedoraproject.org) -> closed
  0 free  0 open  2 done  0 failed

3181518 build (dist-f15, drupal6-mobile_tools-2.3-1.fc15.src.rpm) completed successfully
Comment 1 Paul W. Frields 2011-07-12 08:59:42 EDT
[ O K ] MUST: rpmlint must be run on every package. The output should be posted
in the review.

$ rpmlint rpmbuild/SPECS/drupal6-mobile_tools.spec rpmbuild/SRPMS/drupal6-mobile_tools-2.3-1.fc15.src.rpm rpmbuild/RPMS/noarch/drupal6-mobile_tools-2.3-1.fc15.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

[ O K ] MUST: The package must be named according to the Package Naming
Guidelines.

[ O K ] MUST: The spec file name must match the base package %{name}, in the
format %{name}.spec unless your package has an exemption.

[ O K ] MUST: The package must meet the Packaging Guidelines.

[ O K ] MUST: The package must be licensed with a Fedora approved license and
meet the Licensing Guidelines.

[ O K ] MUST: The License field in the package spec file must match the actual
license. 

[ O K ] MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.

Note: A copy of LICENSE.txt is added by the packager to correct the old FSF address in the included LICENSE.txt.  Packager should report this issue upstream, and note the upstream bug URL in a comment so this package can be updated in the event of a new upstream release that fixes the problem.  This is a minor issue only and should not block the package.

[ O K ] MUST: The spec file must be written in American English. 

[ O K ] MUST: The spec file for the package MUST be legible. 

[ O K ] MUST: The sources used to build the package must match the upstream
source, as provided in the spec URL. Reviewers should use md5sum for this task.
If no upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.

$ md5sum rpmbuild/SOURCES/drupal6-mobile_tools-2.3/mobile_tools-6.x-2.3.tar.gz ; curl -s -o - http://ftp.drupal.org/files/projects/mobile_tools-6.x-2.3.tar.gz | md5sum -
0f1bd3c4235f44694436df8fee30da44  rpmbuild/SOURCES/drupal6-mobile_tools-2.3/mobile_tools-6.x-2.3.tar.gz
0f1bd3c4235f44694436df8fee30da44  -

[ O K ] MUST: The package MUST successfully compile and build into binary rpms
on at least one primary architecture. 

[ O K ] MUST: If the package does not successfully compile, build or work on an
architecture, then those architectures should be listed in the spec in
ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in
bugzilla, describing the reason that the package does not compile/build/work on
that architecture. The bug number MUST be placed in a comment, next to the
corresponding ExcludeArch line. 

[ O K ] MUST: All build dependencies must be listed in BuildRequires, except
for any that are listed in the exceptions section of the Packaging Guidelines ;
inclusion of those as BuildRequires is optional. Apply common sense.

[ O K ] MUST: The spec file MUST handle locales properly. This is done by using
the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

[ O K ] MUST: Every binary RPM package (or subpackage) which stores shared
library files (not just symlinks) in any of the dynamic linker's default paths,
must call ldconfig in %post and %postun. 

[ O K ] MUST: Packages must NOT bundle copies of system libraries.

[ O K ] MUST: If the package is designed to be relocatable, the packager must
state this fact in the request for review, along with the rationalization for
relocation of that specific package. Without this, use of Prefix: /usr is
considered a blocker. 

[ O K ] MUST: A package must own all directories that it creates. If it does
not create a directory that it uses, then it should require a package which
does create that directory. 

[ O K ] MUST: A Fedora package must not list a file more than once in the spec
file's %files listings. (Notable exception: license texts in specific
situations)

[ O K ] MUST: Permissions on files must be set properly. Executables should be
set with executable permissions, for example. Every %files section must include
a %defattr(...) line. 

[ O K ] MUST: Each package must consistently use macros. 

[ O K ] MUST: The package must contain code, or permissable content. 

[ O K ] MUST: Large documentation files must go in a -doc subpackage. (The
definition of large is left up to the packager's best judgement, but is not
restricted to size. Large can refer to either size or quantity). 

[ O K ] MUST: If a package includes something as %doc, it must not affect the
runtime of the application. To summarize: If it is in %doc, the program must
run properly if it is not present. 

[ N/A ] MUST: Header files must be in a -devel package. 

[ N/A ] MUST: Static libraries must be in a -static package. 

[ O K ] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), then library files that end in .so (without suffix) must go in
a -devel package. 

[ O K ] MUST: In the vast majority of cases, devel packages must require the
base package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release} 

[ O K ] MUST: Packages must NOT contain any .la libtool archives, these must be
removed in the spec if they are built.

[ O K ] MUST: Packages containing GUI applications must include a
%{name}.desktop file, and that file must be properly installed with
desktop-file-install in the %install section. If you feel that your packaged
GUI application does not need a .desktop file, you must put a comment in the
spec file with your explanation. 

[ O K ] MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the filesystem or man package. If you
feel that you have a good reason to own a file or directory that another
package owns, then please present that at package review time. 

[ O K ] MUST: All filenames in rpm packages must be valid UTF-8.

*** 

The above minor license file issue notwithstanding, this package is approved. Please file the requested bug upstream and make a comment in the spec file, and bump release number before importing.

APPROVED.
Comment 2 Peter Borsa 2011-07-12 09:35:32 EDT
New Package SCM Request
=======================
Package Name: drupal6-mobile_tools
Short Description: The Mobile Tools module provides some tools to assist in making a site mobile
Owners: asrob
Branches: f15 el5 el6
InitialCC: pfrields
Comment 3 Jon Ciesla 2011-07-12 23:17:21 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2011-07-13 06:31:14 EDT
drupal6-mobile_tools-2.3-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/drupal6-mobile_tools-2.3-2.fc15
Comment 5 Fedora Update System 2011-07-13 06:43:07 EDT
drupal6-mobile_tools-2.3-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/drupal6-mobile_tools-2.3-2.el5
Comment 6 Fedora Update System 2011-07-13 15:25:06 EDT
drupal6-mobile_tools-2.3-2.fc15 has been pushed to the Fedora 15 testing repository.
Comment 7 Fedora Update System 2011-07-13 17:33:23 EDT
drupal6-mobile_tools-2.3-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal6-mobile_tools-2.3-2.el6
Comment 8 Fedora Update System 2011-07-30 06:38:15 EDT
drupal6-mobile_tools-2.3-2.el5 has been pushed to the Fedora EPEL 5 stable repository.
Comment 9 Fedora Update System 2011-07-30 06:40:12 EDT
drupal6-mobile_tools-2.3-2.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 10 Fedora Update System 2011-07-30 23:41:13 EDT
drupal6-mobile_tools-2.3-2.fc15 has been pushed to the Fedora 15 stable repository.